/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./index.html",
    "./src/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      fontFamily: {
        sans: ["Roboto", "sans-serif"],
        mono: ["Roboto Mono", "monospace"],
      },
      backgroundImage: {
        "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
        "gradient-conic":
          "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
      },
      colors: {
        primary: {
          "600": "#36005c",
          "500": "#4d1f6d",
          "400": "#633a7f",
          "300": "#795491",
          "200": "#8f6ea2",
          "100": "#a58ab5",
        },
        dark: {
          "600": "#121212",
          "500": "#282828",
          "400": "#3f3f3f",
          "300": "#575757",
          "200": "#717171",
          "100": "#8b8b8b",
        },
        mixed: {
          "600": "#1b1220",
          "500": "#302735",
          "400": "#463e4b",
          "300": "#5e5762",
          "200": "#77717a",
          "100": "#918b93",
        },
      },
      gridTemplateColumns: {
        dynamic: "repeat(var(--grid-cols), minmax(0,1fr))",
      },
      height: {
        variable: "var(--v-height)",
      },
      gridColumn: {
        variable: "span var(--v-span) / span var(--v-span)",
      },
    },
  },
  plugins: [],
}

